Get a device posture check policy
get
Authorizations
defguard_sessionstringRequired
Path parameters
idinteger · int64Required
ID of the device posture check policy.
Responses
200
Device posture check policy details.
application/json
API response type for a device posture check policy.
allow_prerelease_clientbooleanRequired
descriptionstring · nullableOptional
idinteger · int64Required
locationsinteger · int64[]Required
IDs of VPN locations this policy is assigned to.
min_desktop_client_versionstring · nullableOptional
min_mobile_client_versionstring · nullableOptional
namestringRequired
401
Session is missing or invalid.
application/json
403
Requires admin privileges.
application/json
404
Device posture check policy not found.
application/json
500
Unable to get device posture check policy.
application/json
get/api/v1/device-posture/{id}
GET /api/v1/device-posture/{id} HTTP/1.1
Accept: */*
{
"allow_prerelease_client": true,
"description": null,
"id": 1,
"locations": [
1
],
"min_desktop_client_version": null,
"min_mobile_client_version": null,
"name": "text",
"os_rules": [
{
"ad_domain_joined_required": null,
"antivirus_required": null,
"disk_encryption_required": null,
"min_os_version": null,
"os_type": "windows",
"windows_security_update_max_age": null
}
]
}Last updated
Was this helpful?